uk.ac.starlink.task

## Interface Executable

-     public interface Executable

  Defines an object which does the work of a task without any further user or environment interaction.
  Since:
    19 Aug 2005
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Performs the work defined by this object.

- - ### Method Detail

    - #### execute

          void execute()
                throws TaskException,
                       java.io.IOException

      Performs the work defined by this object.
      Throws:
        `TaskException`
        `java.io.IOException`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.